<?php
/**********************************************************************/
# Title: MW- ver. 4.1
# Copyright By  Moy-weB  (http://moyweb.moy.su)
# Изготовлениш шаблонов (скинов), разработка дизайна, написание скриптов
# Версия для Lineage-II
# Corsar, I-Andi (2009)
/**********************************************************************/
require_once("header.php");
?>
<!-- JavaScript предупреждения об удалении страницы -->
<script type="text/javascript">
<!--
function confirmation(deletfile) {
	var answer = confirm("Вы действительно хотите удалить страницу?");
	if (answer){
		window.location = "admin_delete.php?id="+deletfile;
	}
	else{
		alert("Удаление отменено!");
	}
}
</script>
<br>
<h3>Список созданных страниц</h3><hr>
<table width=100%>
<tr>
	<td width="80"><strong>Имя файла</strong></td>
	<td ><strong>Ссылка в меню</strong></td>
	<td ><strong>Алиас</strong></td>
	<td ><strong>Название страницы</strong></td>
	<td width="19"></td>
	<td width="19"></td>
</tr>
<?php
setlocale(LC_ALL, "ru_RU.CP1251");
$articles = glob("../data/content/*");
$site="http://".$_SERVER['SERVER_NAME'];
if(!$articles) echo ('Нет ни одной страницы...');
else
{
	foreach($articles as $article)
	{
		$content=file_get_contents($article);
		preg_match("|\/content\/(.*).php|Ui", $article, $matches);
		$file_id=$matches[1];
		preg_match("|alias = '(.*)\'\;|Ui", $content, $matches1);
		$alias=$matches1[1];
		preg_match("|page_4menu = '(.*)\'\;|Ui", $content, $matches1);
		$page_4menu=$matches1[1];
		preg_match("|page_title = '(.*)\'\;|Ui", $content, $matches2);
		$page_title=$matches2[1];
		echo '<tr style="background-color:#FFF;">
				<td><p style="margin:3px;">'.$file_id.'.php</p></td>
				<td>&nbsp;'.$page_4menu.'</td>
				<td>&nbsp;'.$alias.'</td>
				<td>&nbsp;'.$page_title.'</td>
				<td><a href=admin_edit.php?id='.$file_id.'><img src=images/edit.png title="Редактировать"></a></td>
				<td>'."<a href='#' onclick=\"confirmation('$file_id')\"><img src=images/remove.png title=\"Удалить страницу\"></a></td>
				<td><a href='#' onclick=\"prompt('Ссылка на страницу','$site/$alias.html'); return false;\"><img border=0 src=images/link.png title='Получить код'></a></td>
				</tr>";
	}	
}
echo '</table>';
require_once("footer.php");	
?>